The scpr program is used to print out objects in checkpoint files.

See The State Library for more information.

# Compiling scpr

scpr is distributed with the SC Toolkit. scpr will automatically be compiled when SC is compiled. See Compiling for more information.

# Running scpr

scpr takes the following command line options followed by a list of files.

`-o` val
  Print the object with the name val. Object names take the form "<classname>:<ordinal_number>". At least one file and object name must be given.
`-memorygrp` val
  Which memory group to use.
`-threadgrp` val
  Which thread group to use.
`-messagegrp` val
  Which message group to use.
`-W` val
  Set the working directory.
`-d`
  Turn on debugging.
`-v`
  Print the version.
`-w`
  Print the warranty.
`-L`
  Print the license.
`-h`
  Print this help.

# License

scpr is open-source software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

# Warranty

scpr is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.